QGIS Application - Bug report #7135
QGIS on getFeaturelnfo wrong GML request
2013-02-10 04:55 AM - aperi2007 -

Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WMS

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 16202
Description

Hi,

qgis-dev is doing a wrong GML request on GetFeaturelnfo.

| see the request is doing qgis is this:

http://web.regione.toscana.it/wmsraster/com.rt.wms.RTmap/wms?map=wmsambamm&#38;map_resolution=96&#38;language=ita&#38
SERVICE=WMS&#38;VERSION=1.3.0&#38;REQUEST=GetFeaturelnfo&#38;BBOX=41.9051649201365208,7.9059189999999990,44.

V78835

.7788350798634838,14.1706910000000015&#38;CRS=EPSG:4326&#38;WIDTH=1465&#38;HEIGHT=672&#38;LAYERS=rt_ambamn

.idcom

m.idcomuni.rt.poly&#38;STYLES=&#38;FORMAT=image/png&#38;QUERY LAYERS=rt ambamm.idcomuni.rt.poly&#38;INFO _FORMA

[T=0gr/

T=0gr/gml|&#38;|=6918&#38;J=315&#38;FEATURE_COUNT=10

But it is wrong because it is doing the request in EPSG:4326 instead of the actual EPSG used in the canvas.
This cause the return of a GML in a wrong reference system (4326). Wrong because it is not in the right wanted reference system.

Also another error is that the request is do setting:

INFO_FORMAT=0gr/gml

instead it should write:
INFO_FORMAT=text/gml

changing from
INFO_FORMAT=0gr/gml
to
INFO_FORMAT=text/gml

will return a working GML response.

But of course in the wrong epsg reference system.
Because qgis will request only in epsg:4326.

History

#1 - 2013-02-10 05:11 AM - aperi2007 -

| check the GetCapabilities.

It report this availables formats.

2025-06-13 1/3


http://web.regione.toscana.it/wmsraster/com.rt.wms.RTmap/wms?map=wmsambamm&#38;map_resolution=96&#38;language=ita&#38;SERVICE=WMS&#38;VERSION=1.3.0&#38;REQUEST=GetFeatureInfo&#38;BBOX=41.9051649201365208,7.9059189999999990,44.7788350798634838,14.1706910000000015&#38;CRS=EPSG:4326&#38;WIDTH=1465&#38;HEIGHT=672&#38;LAYERS=rt_ambamm.idcomuni.rt.poly&#38;STYLES=&#38;FORMAT=image/png&#38;QUERY_LAYERS=rt_ambamm.idcomuni.rt.poly&#38;INFO_FORMAT=ogr/gml&#38;I=691&#38;J=315&#38;FEATURE_COUNT=10
http://web.regione.toscana.it/wmsraster/com.rt.wms.RTmap/wms?map=wmsambamm&#38;map_resolution=96&#38;language=ita&#38;SERVICE=WMS&#38;VERSION=1.3.0&#38;REQUEST=GetFeatureInfo&#38;BBOX=41.9051649201365208,7.9059189999999990,44.7788350798634838,14.1706910000000015&#38;CRS=EPSG:4326&#38;WIDTH=1465&#38;HEIGHT=672&#38;LAYERS=rt_ambamm.idcomuni.rt.poly&#38;STYLES=&#38;FORMAT=image/png&#38;QUERY_LAYERS=rt_ambamm.idcomuni.rt.poly&#38;INFO_FORMAT=ogr/gml&#38;I=691&#38;J=315&#38;FEATURE_COUNT=10
http://web.regione.toscana.it/wmsraster/com.rt.wms.RTmap/wms?map=wmsambamm&#38;map_resolution=96&#38;language=ita&#38;SERVICE=WMS&#38;VERSION=1.3.0&#38;REQUEST=GetFeatureInfo&#38;BBOX=41.9051649201365208,7.9059189999999990,44.7788350798634838,14.1706910000000015&#38;CRS=EPSG:4326&#38;WIDTH=1465&#38;HEIGHT=672&#38;LAYERS=rt_ambamm.idcomuni.rt.poly&#38;STYLES=&#38;FORMAT=image/png&#38;QUERY_LAYERS=rt_ambamm.idcomuni.rt.poly&#38;INFO_FORMAT=ogr/gml&#38;I=691&#38;J=315&#38;FEATURE_COUNT=10
http://web.regione.toscana.it/wmsraster/com.rt.wms.RTmap/wms?map=wmsambamm&#38;map_resolution=96&#38;language=ita&#38;SERVICE=WMS&#38;VERSION=1.3.0&#38;REQUEST=GetFeatureInfo&#38;BBOX=41.9051649201365208,7.9059189999999990,44.7788350798634838,14.1706910000000015&#38;CRS=EPSG:4326&#38;WIDTH=1465&#38;HEIGHT=672&#38;LAYERS=rt_ambamm.idcomuni.rt.poly&#38;STYLES=&#38;FORMAT=image/png&#38;QUERY_LAYERS=rt_ambamm.idcomuni.rt.poly&#38;INFO_FORMAT=ogr/gml&#38;I=691&#38;J=315&#38;FEATURE_COUNT=10
http://web.regione.toscana.it/wmsraster/com.rt.wms.RTmap/wms?map=wmsambamm&#38;map_resolution=96&#38;language=ita&#38;SERVICE=WMS&#38;VERSION=1.3.0&#38;REQUEST=GetFeatureInfo&#38;BBOX=41.9051649201365208,7.9059189999999990,44.7788350798634838,14.1706910000000015&#38;CRS=EPSG:4326&#38;WIDTH=1465&#38;HEIGHT=672&#38;LAYERS=rt_ambamm.idcomuni.rt.poly&#38;STYLES=&#38;FORMAT=image/png&#38;QUERY_LAYERS=rt_ambamm.idcomuni.rt.poly&#38;INFO_FORMAT=ogr/gml&#38;I=691&#38;J=315&#38;FEATURE_COUNT=10

<GetFeaturelnfo>
<Format>text/gml</Format>
<Format>text/html</Format>
<Format>text/plain</Format>

<Format>ogr/gml</Format>

The right format for a compatible GML response is "text/gml"

Instead actually qgis-dev is using the "ogr/gml".

Is better thaat qgis will use the text/gml to have a response compatible with that of others server GML.

#2 - 2013-02-10 05:13 AM - aperi2007 -
- Category set to Web Services clients/WMS

Also the request should do on the same reference system of the canvas not always in the epsg:4326.

#3 - 2013-02-10 05:30 AM - aperi2007 -
- Resolution set to invalid

Hi,
| remove the "ogr/gml" format from the server settings.
Now the GetCapabilities will give this options:
<GetFeaturelnfo>
<Format>text/gml</Format>
<Format>text/html</Format>
<Format>text/plain</Format>
So | retry the identify with QGIS-dev.

It still do nothing.

The log will report that the qgis-dev has send this request:

http://web.regione.toscana.it/wmsraster/com.rt.wms.RTmap/wms?map=wmsambamm&#38;map_resolution=96&#38;language=ita&#38;&#38;SERVICE

WMS&#38;VERSION=1.3.0&#38;REQUEST=GetFeatureInfo&#38;BBOX=636170.8467062999261543,4837193.0576265491545200,679256.42746096 15094 9¢

15094960,4865692.6434558629989624&#38;CRS=EPSG:258328#38;WIDTH=833&#38;HEIGHT=5518&#38;LAYERS=rt_ambamm.idcomuni.rt.poly&#38;STYLE

8;STYLES=&#38;FORMAT=image/png&#38;QUERY_LAYERS=rt_ambamm.idcomuni.rt.poly&#38;INFO_FORMAT=text/gmI|&#38;|1=423&#38;J=185&#38;FEATL

8;FEATURE_COUNT=10

If I try the same request on a firefox browser | can see that the wms server response is a correct GML style.

| don't know why the ggis-dev is still not understanding the GML response, but otherwise now the wms server is responding correctly.

So | close this ticket.
#4 - 2013-02-10 06:55 AM - Jiirgen Fischer
- Status changed from Open to Closed
